Disassociate a list from a marketing event
curl --request DELETE \
--url https://api.hubapi.com/marketing/v3/marketing-events/associations/{externalAccountId}/{externalEventId}/lists/{listId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/associations/{externalAccountId}/{externalEventId}/lists/{listId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/associations/{externalAccountId}/{externalEventId}/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List Associations
Remove a list from an event by external ID
Disassociates a list from a marketing event by external account id, external event id, and ILS list id
DELETE
/
marketing
/
v3
/
marketing-events
/
associations
/
{externalAccountId}
/
{externalEventId}
/
lists
/
{listId}
Disassociate a list from a marketing event
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The accountId that is associated with this marketing event in the external event application.
The id of the marketing event in the external event application.
The ILS ID of the list.
Response
Last modified on March 30, 2026
Was this page helpful?
⌘I